package com.zehong.system.domain;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 关联设备封装类
 */
public class TDeviceInfoS extends BaseEntity {

    /**
     * 关联设备详情ID
     */
    private Integer relationDeviceDetailId;

    /**
     * 关联设备id
     */
    private Integer relationDeviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备类型：1.压力表 2.流量计 3.探测器
     */
    private String deviceType;

    /**
     * 物联网编号
     */
    private String iotNo;

    /**
     * 备注
     */
    private String remarksn;

    /**
     * 探测介质
     */
    private String detectionMedium;


    public String getDetectionMedium() {
        return detectionMedium;
    }

    public void setDetectionMedium(String detectionMedium) {
        this.detectionMedium = detectionMedium;
    }

    public Integer getRelationDeviceDetailId() {
        return relationDeviceDetailId;
    }

    public void setRelationDeviceDetailId(Integer relationDeviceDetailId) {
        this.relationDeviceDetailId = relationDeviceDetailId;
    }

    public Integer getRelationDeviceId() {
        return relationDeviceId;
    }

    public void setRelationDeviceId(Integer relationDeviceId) {
        this.relationDeviceId = relationDeviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getIotNo() {
        return iotNo;
    }

    public void setIotNo(String iotNo) {
        this.iotNo = iotNo;
    }

    public String getRemarksn() {
        return remarksn;
    }

    public void setRemarksn(String remarksn) {
        this.remarksn = remarksn;
    }

    @Override
    public String toString() {
        return "TDeviceInfoS{" +
                "relationDeviceDetailId=" + relationDeviceDetailId +
                ", relationDeviceId=" + relationDeviceId +
                ", deviceName='" + deviceName + '\'' +
                ", deviceModel='" + deviceModel + '\'' +
                ", deviceType='" + deviceType + '\'' +
                ", iotNo='" + iotNo + '\'' +
                ", remarksn='" + remarksn + '\'' +
                ", detectionMedium='" + detectionMedium + '\'' +
                '}';
    }
}
